Subject: Re: FvwmIdent on Tru64 reports interesting X and Y coordinates...

From: Dan Espen <[email-masked]>
Date: Fri, 04 Feb 2000 11:47:01 -0500

Jeremie Petit <[email-masked]> writes:
> output of a typical call to FvwmIdent:
> 
> Border Width sent (1) 10133253780406292
> Border Width sent (1) 10133253780406292
> Border Width sent (2) 10133253780406292
> Border Width sent (3) 10133253780406292
> Border Width sent (1) 10133253780406292
> Border Width sent (1) 10133253780406292
> Border Width sent (1) 10133253780406292
> Border Width sent (1) 77309411330
> Border Width sent (1) 111669149706
> Border Width sent (1) 68719476736

Thanks, I think that pretty much verifies that the problem is
in module_interface.c.

I would think that more than FvwmIdentify is going to be affected.

I think the code in question should be more like:

Before:
	    (unsigned long)(sizeof(unsigned long)),\
            &(*(_t))->title_g.height,\
	    (unsigned long)(sizeof(unsigned long)),\
            &(*(_t))->boundary_width,\
After:
	    (int)(sizeof(_t->title_g.height)),\
            &(*(_t))->title_g.height,\
	    (int)(sizeof(_t->boundary_width)),\
            &(*(_t))->boundary_width,\

Pass the size args as ints, shorts or chars would work too.
Get the value for sizeof from the field itself.

Or perhaps, just cast everything to a long in the macro.

But this won't work by itself, more changes are needed.

(I'm just trying to convey the problem at this point.)

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]